package cn.unitid.matrix.pkiservice.test.ces;

import cn.unitid.matrix.pkiservice.sdk.ApiException;
import cn.unitid.matrix.pkiservice.sdk.PkiClient;
import cn.unitid.matrix.pkiservice.sdk.PkiOkhttpClient;
import cn.unitid.matrix.pkiservice.sdk.ces.request.EngineRandomNumberGenerateRequest;
import cn.unitid.matrix.pkiservice.sdk.ces.response.EngineRandomNumberGenerateResponse;
import org.junit.Test;

public class EngineRandomNumberGenerateTest {

    public static void main(String[] args) {

        // 提供的URL
        String url = "http://172.16.3.232:25115";

        // 您的appKey
        String appKey = "eB4P623i5h";

        // 您的appSecret
        String appSecret = "RzToiB0vzP6hnWd0Rt8u3Om2RDL0YHAA";

        // 原客户端
        PkiClient pkiClient = new PkiOkhttpClient(url, appKey, appSecret);

        EngineRandomNumberGenerateRequest request = new EngineRandomNumberGenerateRequest();

        // 随机数长度
        request.setSize(16);

        try {
            EngineRandomNumberGenerateResponse response = pkiClient.execute(request);
            // 后续业务
            if (response.isSuccess()) {
                System.out.println("成功：" + response.getResult());
            } else {
                System.out.println("失败：" + response.getBody());
            }
        } catch (ApiException e) {
            e.printStackTrace();
        }

    }
}
